#!/bin/sh
# Copyright (C) 2010  Michał Masłowski  <mtjm@mtjm.eu>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# Call tests.

run_coverage() {
    PYTHONPATH=.:$PYTHONPATH \
	coverage2 run --source=getmediumurl --branch $@ || exit 1
}

rm -rf build/lib*

ln -sf tests_getmediumurl/__init__.py do_tests.py

if [ ! -z $(which coverage2 2> /dev/null) ]
then
    run_coverage do_tests.py
    [ -f $HOME/.getmediumurl-plugin-test.xml ] && {
        echo 'from getmediumurl.testplugins import main ; main()' > plugin_test.py
        run_coverage -a plugin_test.py
        rm plugin_test.py
    }
    coverage2 html --omit='/usr*,*tests_getmediumurl*,setup.py'
else
    python2 do_tests.py || exit 1
fi

rm do_tests.py
